package com.prolog.eis.dto.pms;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/11 10:49
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PmsResult {

    private boolean success;
    private String code;
    private String message;
    private Object data;

    public static PmsResult success() {
        return success("请求成功");
    }

    public static PmsResult success(String msg) {
        return success(msg, null);
    }

    public static PmsResult success(String msg,Object data) {
        return new PmsResult(true, "200", msg, data);
    }
}
